import styled from 'styled-components';
import { Card } from 'antd';

export const EntryCardstyled = styled(Card)`
  background: #fff;
  overflow: hidden;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  cursor: pointer;
  .ant-card-body{
    padding: 20px;
    display: flex;
    flex: 1;
    flex-direction: row;
    align-items: center;
  }
`;

const Col = styled.p`
  margin-bottom: 0;
  display: flex;
  flex-direction: column;
`;

const Left = styled(Col)`
`;

const Right = styled(Col)`
  flex: 1;
  padding-left: 12px;
`;

export const EntryCardsCol = {
  Left,
  Right
}


export const EntryCardsTitle = styled.span`
  color: #333;
  line-height: 30px;
  font-size: 20px;
  width: 160px;
`;

export const EntryCardsDes = styled.span`
  color: #999;
  line-height: 20px;
  font-size: 14px;
  overflow: hidden;
  text-overflow:ellipsis;
  white-space:nowrap;
  width: 160px;
`;