import { PopoverProps } from 'antd/lib/popover';
import { ReactNode } from 'react';
import * as React from 'react';
export type RenderFunction = () => React.ReactNode;

export interface YPopoverProps {
  /*
   * 悬浮内容
   * */
  content: ReactNode | RenderFunction;
  /*
   * 标题
   * */
  title?: string;
  /*
   * antd原生属性
   * */
  originProps?: PopoverProps;
  /*
   * 内容样式
   * */
  style?: React.CSSProperties;
  /*
   * 模式，简洁模式，不可设置title、style
   * */
  type?: 'tips' | undefined | null;
  /*
   * 没有传children，默认显示感叹号icon
   * */
  children?: ReactNode | string;
}
