### YSelect API文档

#### 一. 基础配置

|    参数                     |     说明                 |   支持类型            |  默认值           | 备注 
|     --                      | ---                     | --                  | --                | -- 
|   disabled                  | 禁用状态                 | boolean               | -- 
|   value                     | 值                      | any                   | -- 
|   onChange                  | 变更事件 
|   valueType                 |  值类型                   | YSelectValueType      | 'string'
|   addBtnText                | 新增按钮文案              | string、ReactNode     | '作为新选项增加'
|   shouldInitFetch           | 是否需要默认请求          | boolean               | false
|   shouldFetchWhenEmpty      | 当空值时是否需要搜索       | boolean               | false
|   requestTime               | 请求间隔时间(单位：毫秒)   | number                | 1000
|   request                   | 请求                    | (keyword: string \| undefined) => any[];| --
|   apiDataKey                | 接口返回数据在data下的层级key | string              |  -- | 如接口返回数据在data层list下， 就传list，如果直接使用data，就不用传
|   apiLabelKey               | 使用接口数据中哪个字段的值作为label | string | --
|   apiValueKe                | 使用接口数据中哪个字段的值作为value | string | --
|   handleResponseData        | 处理接口数据，返回是YSelectCustomValue的集合 | (resList: any[]) => YSelectCustomValue[] | -- | 可优先使用apiLabelKey和apiValueKey，如无法满足，再使用该函数
|   showAddBtn                | 是否展示新增按钮          | boolean               | false
|   showDefaultOption         |是否展示【默认】项         | boolean               | false
|   defaultOptionText         |【默认】项文案             | string \| ReactNode   | '请选择'
|   defaultOptionValue        |   【默认】项的值          | string \| number      | ''
|   previewPlaceholder        | 无值时占位符              | string \| ReactNode  | 'N/A'
|   originProps               | SelectProps<VT>;



#### 二. YSelectCustomValue 下拉项
| 参数  | 说明  | 是否必填
| -- | -- | --
| value  | 值 | 是
| label | 展示名称 | 是
| data | 源数据 | 否

#### 二.  YSelectValueType  值类型枚举
| key | value | 说明 |
| -- | -- | --
| OBJECT | 'object' | 对象
| STRING | 'string' | 字符串