export interface SelectorOption {
  value: string;
  label: string;
  disabled?: boolean;
  isLeaf?: boolean;
  isSelected?: boolean;
  loading?: boolean;
  children?: SelectorOption[];
  [key: string]: any;
}

export interface YSelectorProps {
  dataSource: any[];
  mapKeys: Record<string, string>;
  titles: string[];
  onChange?(ids: string[]): void;
  selected: string[];
  max: number;
}
