import styled from 'styled-components';
import {Empty, Menu} from 'antd';

export const SelectorStyle = styled.div`
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  border-top: 1px solid #f0f0f0;
  border-bottom: 1px solid #f0f0f0;
  overflow: hidden;
  min-height: 400px;
  ul,li{
    list-style-type: none;
  }
`;

export const TitleStyle = styled.h3`
  line-height: 30px;
  padding: 0 16px;
  font-size: 14px;
  border-bottom: 1px solid #f0f0f0;
  margin: 0;
`;

export const EmptyStyle = styled(Empty as any)`
  padding: 20px;
`;

export const MenuStyle = styled(Menu)`
  height: 100%;
`;
