import { TableProps } from 'antd/es/table';
import { DefalutTableParams } from '../filter/filter.interface';

export interface YTableProps extends TableProps<{ [propName: string]: any }> {
  store?: () => any;
  request?: (params?: any) => void;
  tableParams?: DefalutTableParams;
  filters?: {
    [propName: string]: any;
  };
  apiMap?: {
    totalNumber?: string;
    data?: string;
    list?: string;
  };
  // 是否需要占位符
  isNeedPlaceholder?: boolean; // 是否需要占位符，如果需要，当列表数据为空时，展示-， 默认false
  // 重新加载列表,reload true 是重第一页开始加载，false 从当前页加载
  onReload?: (reload: (bool?: boolean) => void) => void;
}
