declare type YAuthType = 'login' | 'reset password' | 'scan to login';
export interface YAuthProps {
    type?: YAuthType;
    onSubmit?: () => void;
}
export declare type AuthActionType = 'login' | 'logout' | 'change password' | 'switch auth type';
export interface AuthAction {
    type: AuthActionType;
    payload: {
        data: any;
    };
}
export interface AuthState {
    userName?: string;
    token?: string;
    isLogin?: boolean;
    authType?: YAuthType;
    userId?: string;
    userPhone?: string;
}
export interface ChangePasswordPrams {
    oldPasswd: string;
    newPasswd: string;
}
export interface ChangePasswordProps {
    onChange?: (v: ChangePasswordPrams) => void;
}
export {};
//# sourceMappingURL=auth.interface.d.ts.map