import React, { ReactNode } from 'react';
export interface ICustomValue {
    value: string | number;
    name: string;
    remark?: string | number | undefined | null;
    render?: (value: any) => ReactNode | string;
}
export declare type IIndicatorData = Record<string, ICustomValue>;
export interface YIndicatorCardProps {
    dataSource: IIndicatorData[];
    style?: React.CSSProperties;
    icon?: ReactNode | undefined | false;
    tipsWidth?: number | undefined;
    ableClick?: boolean | undefined;
    onClick?: (item?: IIndicatorData, index?: number) => void;
}
//# sourceMappingURL=indicatorCard.interface.d.ts.map