import { ConfigItem, FilterTabs } from './filter.interface';
interface MapObject {
    [propName: string]: unknown;
}
export declare function isNullOrEmpty(val: string | number | undefined): boolean;
export declare function isObject(value: any): boolean;
export declare const validateAttrnames: (configItems: ConfigItem[], tabs?: FilterTabs | undefined) => void;
export declare const validateDefaultValues: (configItems: ConfigItem[]) => MapObject;
export declare const validatePlaceholders: (configItems: ConfigItem[]) => void;
/**
 * 重制搜索值
 * @param configItems
 */
export declare const resetValues: (configItems: ConfigItem[]) => {
    [rest: string]: unknown;
};
/**
 * 根据 type 返回对应的组件
 * @param configItems
 */
export declare const transformToComponent: (configItems: ConfigItem[]) => ConfigItem[];
/**
 * 处理日期，时间范围, 默认返回毫秒数
 * @param configItems
 * @param values
 */
export declare const handleDateOrRangePicker: (configItems: ConfigItem[], values: any) => void;
/**
 * -列，两列，三列布局
 * 配置动态列表  992
 * @param i 下标
 * @param w 自适应屏宽
 */
export declare const adaptiveCol: (i: number, w: number) => unknown;
/**
 * // 最后一列 列宽
 * @param isOpen 是否展开状态
 * @param w 屏幕宽度
 * @param configItems 配置列表
 */
export declare const operationColSpanNumber: (isOpen: boolean, w: number, configItems: string | any[]) => number;
/**
 * 去除对象中的 undefined
 * @param values
 */
export declare const removeUndefined: (values: {
    [propName: string]: string | number | (string | number)[] | undefined;
}) => void;
export {};
//# sourceMappingURL=utils.d.ts.map