import { YWRequestConfig } from '@ywfe/request';
export interface AuthUserMenuItem {
    resourceParentId?: number;
    name?: string;
    icon?: string;
    url?: string;
    sort?: number;
    level?: number;
    status?: string;
    remark?: string;
    childMenus?: undefined[];
    resourceId?: string;
    resourceType?: string;
    isPublish?: string;
}
export interface AuthUserMenuInput {
    /** 项目id */
    projectId: string;
}
export interface AuthUserMenuData {
    list?: AuthUserMenuItem[];
    totalNumber?: string;
}
export declare const useGetAuthUserMenu: () => {
    isAuthUserMenuLoading: boolean;
    dataAuthUserMenu: AuthUserMenuData;
    getAuthUserMenuData: (inputs: AuthUserMenuInput, config?: YWRequestConfig | undefined) => Promise<AuthUserMenuData>;
};
//# sourceMappingURL=GETAuthUserMenu.d.ts.map