import { YWRequestConfig } from '@ywfe/request';
export interface CategoryTreeListV1Item {
    categoryNo: string;
    categoryName: string;
    level: number;
    sortNum: number;
    parentNo: string;
    icon: string;
    isLeaf: number;
    hasChild: number;
    categoryNoPath: string;
}
export interface CategoryTreeListV1Input {
    /** 父类目编号(String) */
    parentNo?: string;
}
export interface CategoryTreeListV1Data {
    list: CategoryTreeListV1Item[];
    totalNumber: number;
    totalPage: number;
    rowId: string;
    hasNext: boolean;
    pageSize: number;
    pageIndex: number;
}
export declare const useGetCategoryTreeListV1: () => {
    isCategoryTreeListV1Loading: boolean;
    dataCategoryTreeListV1: CategoryTreeListV1Data;
    getCategoryTreeListV1Data: (inputs: CategoryTreeListV1Input, config?: YWRequestConfig | undefined) => Promise<CategoryTreeListV1Data>;
};
//# sourceMappingURL=GETCategoryTreeListV1.d.ts.map