import { YWRequestConfig } from '@ywfe/request';
export interface NewResourceUploadfilesItem {
    uploadAddress?: string;
    uploadFileName?: string;
    uploadFileSize?: number;
}
export interface NewResourceUploadfilesInput {
    /** 上传文件 */
    files: any;
    /** 上传路径 */
    uploadPath: any;
    /** 文件类型，1音频2视频3其他 */
    fileType: any;
    /** 文件名 */
    fileNames: any;
}
export interface NewResourceUploadfilesData {
    list?: NewResourceUploadfilesItem[];
    totalNumber?: number;
    totalPage?: number;
    rowId?: string;
    hasNext?: boolean;
    pageSize?: number;
    pageIndex?: number;
}
export declare const usePostNewResourceUploadfiles: () => {
    isNewResourceUploadfilesLoading: boolean;
    dataNewResourceUploadfiles: NewResourceUploadfilesData;
    postNewResourceUploadfilesData: (inputs: NewResourceUploadfilesInput, config?: YWRequestConfig | undefined) => Promise<NewResourceUploadfilesData>;
};
//# sourceMappingURL=POSTNewResourceUploadfiles.d.ts.map