import styled from 'styled-components';
import { Button, Avatar } from 'antd';
import { BasicProps } from 'antd/lib/layout/layout';

export const LoginStyle = styled.div`
  position: fixed;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  background-color: #000;
  width: auto;
  height: auto;
  video {
    width: 100%;
    height: 100vh;
    object-fit: cover;
    -o-object-fit: cover;
    position: absolute;
    top: 0;
    z-index: -1;

  }
`;

export const FormStyle = styled.div`
  position: absolute;
  height: 514px;
  top: 50%;
  left: 78.75%;
  transform: translate(-50%, -50%);
  background: #fff;
  display: flex;
  border-radius: 8px;
  box-shadow: 0 0 10px hsla(0, 0%, 58.8%, 0.2);
  overflow: hidden;
  z-index: 100;
`;
export const FormBoxStyle = styled.div`
  width: 400px;
  height: 100%;
  padding: 40px 30px;
  box-sizing: border-box;
`;

export const LoginLogoStyle = styled.img`
  display: block;
  margin: 0 auto 40px;
  height: 40px;
`;

export const LoginScanStyle = styled.div`
  text-align: center;
`

export const CodeBtnStyle = styled(Button as any)`
  width: 100px;
  margin-left: 10px;

`;


export const HeaderAvatarStyle = styled(Avatar as any)`
  margin-right: 10px;
`;

export const ToolWrapStyle = styled.div`
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
`;