import React from 'react';
import {YEmptyProps} from './empty.interface';
import {EmptyStyle} from './styles';

const stageMap: Record<string, string> = {
  'no_permission': '抱歉，您没有权限！',
  'module_miss': '该模块已经被删除！',
  'menu_miss': '改菜单已经被删除！'
}

export const YEmpty: React.FC<YEmptyProps> = ({stage}) => {
    return (
        <EmptyStyle description={stageMap[stage]} />
    )
}