import {AuthState, AuthActionType, AuthAction} from '@/auth/auth.interface';
import {ModuleState, ModuleActionType, ModuleAction} from '@/layout/module/module.interface';

type SystemType ='init_desktop' | 'start_loading' | 'end_loading';

export interface SystemAction {
  type: SystemType | AuthActionType | ModuleActionType;
  payload: {
    data: any;
  };
}

export interface SystemState extends AuthState, ModuleState {
  isLoading: boolean;
}


export interface YSystemProps {
  history: any,
  moduleId?: string;
  moduleName?: string;
}

export interface SystemContextProps {
  store: any;
}

export interface YSystemState extends SystemContextProps {}
    