import { RcFile } from 'antd/lib/upload/interface';
import { CropperProps } from '../upload.interface';
import { UploadButtonRefParams } from '../uploadButton/interface';

export interface CropperModalRefParams {
  cropSrcModalShow: number;
  setUploadFileList: (uploadFileList: RcFile[]) => void;
  setCropSrc: (cropSrc: string[]) => void;
  setCropSrcModalShow: (cropSrcModalShow: number) => void;
}

export interface CropperBodyRefParams {
  cropFinish: () => void;
}

export interface CropperBodyProps {
  src: string;
  onOk: any;
  loading: boolean;
  cropType: string;
  aspectRatio?: number;
  gerRef: (ref: CropperBodyRefParams) => void;
}

export interface CropperModalProps extends CropperProps {
  uploadRef: React.MutableRefObject<UploadButtonRefParams | undefined>;
  getRef: (params: CropperModalRefParams) => any;
}
