import { ProjectId } from '../common/interface';

export interface FilePreviewProps {
  filePreviewStatus: number;
  wrapId?: string;
  aliyun: any;
  previewInfo: {
    previewURL: string;
    accessToken: string;
    accessTokenExpiredTime: string;
    refreshNum: number;
  };
}

export interface FileModalRefParams {
  filePreviewStatus: number;
  show: (url: string, ossFile?: string) => void;
  hide: () => void;
}
export interface FilePreviewModelProps {
  hideModal?: boolean;
  wrapId?: string;
  projectId?: ProjectId;
  securityType?: 'public' | 'private';
  setIsRefreshFilePreview?: (isRefreshFilePreview: boolean) => void;
  getRef: (params: FileModalRefParams) => void;
}
