import { UserLoginInput, UserLoginData, UserSendmtcodeInput, UserUpdatepasswdbymtcodeInput } from '@/generated/api';
interface ChangePasswordProps {
    oldPasswd: string;
    newPasswd: string;
}
export declare const useModel: () => {
    login: (values: UserLoginInput) => Promise<UserLoginData>;
    loginout: () => Promise<boolean>;
    changePassword: ({ oldPasswd, newPasswd, }: ChangePasswordProps) => Promise<boolean>;
    updatePasswordByMtCode: ({ telephone, passWd, mtCode }: UserUpdatepasswdbymtcodeInput) => Promise<boolean>;
    switchAuthType: (authType: string) => void;
    sendCode: (data: UserSendmtcodeInput) => Promise<import("../generated/POSTUserSendmtcode").UserSendmtcodeData>;
    getDingCode: () => Promise<void>;
    userName: string;
};
export {};
//# sourceMappingURL=useModel.d.ts.map