/// <reference types="react" />
export interface CommonProps {
    path: string;
}
export interface YRouterItem {
    path: string;
    param?: string;
    url?: string;
    origion_url: string;
    name: string;
    meta: {
        title: string;
        icon?: string;
    };
    component?: React.FunctionComponent;
    hidden?: boolean;
    children?: YRouterItem[];
    disable?: boolean;
    productOwner?: {
        id?: string;
        name?: string;
    };
}
export interface Action<T> {
    type: T;
    payload: {
        data: any;
    };
}
export interface YRouterConfig {
    [id: string]: {
        component?: React.FunctionComponent;
        icon?: string;
        hidden?: boolean;
        url?: string;
        param?: string;
    };
}
//# sourceMappingURL=default.interface.d.ts.map