import { YWRequestConfig } from '@ywfe/request';
export interface DesktopResourceModuleListItem {
    resourceParentId?: string;
    name?: string;
    nameEn?: string;
    url?: string;
    icon?: string;
    sort?: number;
    level?: number;
    status?: string;
    remark?: string;
    resourceId?: string;
    resourceType?: string;
    resourceMenuType: string;
    isPublish?: string;
    isHasResourcce?: boolean;
}
export interface DesktopResourceModuleListInput {
    /** (String) */
    moduleId?: string;
}
export interface DesktopResourceModuleListData {
    menuResourceList?: DesktopResourceModuleListItem[];
    otherResourceList?: DesktopResourceModuleListItem[];
    productUserName?: string;
    productUserId?: string;
}
export declare const useGetDesktopResourceModuleList: () => {
    isDesktopResourceModuleListLoading: boolean;
    dataDesktopResourceModuleList: DesktopResourceModuleListData;
    getDesktopResourceModuleListData: (inputs: DesktopResourceModuleListInput, config?: YWRequestConfig | undefined) => Promise<DesktopResourceModuleListData>;
};
//# sourceMappingURL=GETDesktopResourceModuleList.d.ts.map