import { YWRequestConfig } from '@ywfe/request';
export interface NewAdminSupplierPageItem {
    supplierNo?: string;
    supplierName?: string;
}
export interface NewAdminSupplierPageInput {
    /** 供应商编号 */
    supplierNo?: string;
    /**  */
    supplierName?: string;
    /**  */
    contactPerson?: string;
    /**  */
    updateTimeBegin?: string;
    /**  */
    updateTimeEnd?: string;
    /** 企业认证状态，0：未认证；1：管理员资料已提交；2：企业基本资料(没有申请表)已提交；3：已提交待审核；4：审核通过；5：审核不通过；6人工初审通过 */
    status?: string;
    /** 和partnerTypeList二选一 */
    partnerTypes?: string;
    /**  */
    partnerTypeList?: string;
    /** 采销负责人code */
    managerCode?: string;
    /** 是否是审核页面,true:查询所有；false：根据采销权限查询 */
    isCheck?: string;
    /** 业务分组 */
    businessGroup?: string;
    /** 禁用状态 */
    isUse?: string;
    /**  */
    pageSize?: string;
    /**  */
    pageIndex?: string;
    /**  */
    rowId?: string;
    /**  */
    jumpType?: string;
    /**  */
    searchCount?: string;
    /**  */
    orderObjects?: string;
}
export interface NewAdminSupplierPageData {
    list?: NewAdminSupplierPageItem[];
    totalNumber?: number;
    totalPage?: number;
    rowId?: string;
    hasNext?: boolean;
    pageSize?: number;
    pageIndex?: number;
}
export declare const useGetNewAdminSupplierPage: () => {
    isNewAdminSupplierPageLoading: boolean;
    dataNewAdminSupplierPage: NewAdminSupplierPageData;
    getNewAdminSupplierPageData: (inputs: NewAdminSupplierPageInput, config?: YWRequestConfig | undefined) => Promise<NewAdminSupplierPageData>;
};
//# sourceMappingURL=GETNewAdminSupplierPage.d.ts.map