import { YWRequestConfig } from '@ywfe/request';
export interface NewBusinessPagelistItem {
    name?: string;
    id?: number;
    type?: string;
    speed?: string;
    speedName?: string;
    adminName?: string;
    mainBrand?: string;
    managerName?: string;
    itemManager?: string;
    managerCode?: string;
    createTime?: any;
    auditTime?: any;
    context?: string;
}
export interface NewBusinessPagelistInput {
    /**  */
    name?: string;
    /**  */
    type?: string;
    /**  */
    mainBrand?: string;
    /**  */
    itemManager?: string;
    /**  */
    speed?: string;
    /**  */
    createTimeStart?: string;
    /**  */
    createTimeEnd?: string;
    /**  */
    sord?: string;
    /**  */
    pageSize?: string;
    /**  */
    pageIndex?: string;
    /**  */
    rowId?: string;
    /**  */
    jumpType?: string;
    /**  */
    searchCount?: string;
    /**  */
    orderObjects?: string;
}
export interface NewBusinessPagelistData {
    list?: NewBusinessPagelistItem[];
    totalNumber?: number;
    totalPage?: number;
    rowId?: string;
    hasNext?: boolean;
    pageSize?: number;
    pageIndex?: number;
}
export declare const useGetNewBusinessPagelist: () => {
    isNewBusinessPagelistLoading: boolean;
    dataNewBusinessPagelist: NewBusinessPagelistData;
    getNewBusinessPagelistData: (inputs: NewBusinessPagelistInput, config?: YWRequestConfig | undefined) => Promise<NewBusinessPagelistData>;
};
//# sourceMappingURL=GETNewBusinessPagelist.d.ts.map