import { YWRequestConfig } from '@ywfe/request';
export interface ProjectListItem {
    projectId: string;
    projectName: string;
    roleNames: string[];
    hasChild: boolean;
}
export interface ProjectListInput {
    /**  */
    userProjectRelType: string;
}
export interface ProjectListData {
    projectList: ProjectListItem[];
    moduleList: ProjectListItem[];
}
export declare const useGetProjectList: () => {
    isProjectListLoading: boolean;
    dataProjectList: ProjectListData;
    getProjectListData: (inputs: ProjectListInput, config?: YWRequestConfig | undefined) => Promise<ProjectListData>;
};
//# sourceMappingURL=GETProjectList.d.ts.map