import { YWRequestConfig } from '@ywfe/request';
export interface UserLoginInput {
    /** undefined */
    userPhone?: string;
    /** undefined */
    userPasswd?: string;
    /** PROAUTH:权限中心 */
    projectId?: string;
}
export interface UserLoginData {
    bizUserId: string;
    createdAt: string;
    id: number;
    isOut: string;
    status: string;
    updatedAt: string;
    userEmail: string;
    userId: string;
    userName: string;
    userPasswd: string;
    userPhone: string;
    userToken: string;
}
export declare const usePostUserLogin: () => {
    isUserLoginLoading: boolean;
    dataUserLogin: UserLoginData;
    postUserLoginData: (inputs: UserLoginInput, config?: YWRequestConfig | undefined) => Promise<UserLoginData>;
};
//# sourceMappingURL=POSTUserLogin.d.ts.map