/// <reference types="react" />
export interface MenuItem {
    path: string;
    name: string;
    meta: {
        title: string;
        icon?: string;
    };
    onClick?: () => void;
}
export declare type Stage = 'auth' | 'common' | 'desktop';
export interface HeaderProps {
    logo: React.ReactNode;
    menus: MenuItem[];
    selectedKeys?: string[];
}
export interface ChangePasswordPrams {
    oldPasswd: string;
    newPasswd: string;
}
export interface ChangePasswordProps {
    onChange?: (v: ChangePasswordPrams) => void;
}
export interface YLayoutProps {
    isLoading?: boolean;
    stage: Stage;
    config: {
        logo: React.ReactNode;
        menus: MenuItem[];
        moduleName?: string;
    };
}
//# sourceMappingURL=layout.interface.d.ts.map