import { MenuItem } from '../layout.interface';
import { ModuleItem } from './module.interface';
export declare const useModuleList: () => {
    updateMenu: (data: any) => void;
    linkModule: (menu: ModuleItem) => void;
    initDesktopMenu: (menus: MenuItem[], moduleName?: string) => Promise<ModuleItem[]>;
    initModuleList: () => Promise<import("../../generated/GETDesktopCloudListTree").DesktopCloudListTreeItem[]>;
    selectModule: (data: any) => Promise<void>;
    lockModule: (data: any) => Promise<import("../../generated/POSTDesktopCloudLockModule").DesktopCloudLockModuleData>;
    transformToDesktopMenus: (data: any) => {
        moduleId: any;
        path: string;
        name: any;
        meta: {
            title: any;
            icon: string;
        };
        isLock: any;
        onClick: () => Promise<void>;
        onClose: () => Promise<void>;
    };
    isDesktopCloudListTreeLoading: boolean;
};
//# sourceMappingURL=useModuleList.d.ts.map