import { YRouterItem, Action } from '@/default.interface';
export interface YModuleProps {
    config: ModuleConfig;
    onMenuClick: (path: string) => void;
}
export interface ModuleConfig {
    moduleId: string;
    moduleName: string;
}
export interface SiderProps extends YModuleProps {
}
export interface ModuleAction extends Action<ModuleType> {
}
export interface ModuleState {
    menus: YRouterItem[];
    defaultSelectedMenus?: string[];
    defaultOpenMenus?: string[];
    defaultMenu?: YRouterItem;
    selectedMenu?: string[];
    openMenu?: string[];
    permissions: string[];
    pageName: string;
    pageData?: {
        [propName: string]: any;
    };
    isInit: boolean;
}
declare type ModuleType = 'init_menu' | 'others' | 'name_page' | 'set_each_data' | 'set_all_data';
export {};
//# sourceMappingURL=module.interface.d.ts.map