export declare type ImgSuffixType = 'jpg' | 'bmp' | 'gif' | 'ico' | 'pcx' | 'jpeg' | 'tif' | 'png' | 'raw' | 'tga' | 'webp';
export declare type ProjectId = 'COMMON' | 'PROAUTH' | 'PROXST' | 'PROTEST' | 'PROWXD' | 'PROGOODS' | 'PROSUPPLIER' | 'PRODISTRIBUTE' | 'PRO_XY_LIVE' | 'PROBIGDATA' | 'PRO_DIANHU' | 'PRO_DIANLANG';
export declare type OSSImgConfig = string | {
    resize_w?: number;
    resize_h?: number;
    quality?: number;
    circle?: number;
    [key: string]: undefined | number;
};
interface CommonFile {
    originalName?: string;
    disabled?: boolean;
    icon?: string;
    ossFile?: string;
    [key: string]: any;
}
export interface File extends CommonFile {
    fileType?: string;
    url?: string;
    fileUrl?: string;
    name?: string;
    fileName?: string;
    size?: number;
}
export interface YUploadFile extends CommonFile {
    fileType: string;
    url: string;
    size: number;
    name: string;
    uid: string;
    type: string;
}
export {};
//# sourceMappingURL=interface.d.ts.map