import { RcFile } from 'antd/lib/upload/interface';
import { File } from './interface';
import { UploadButtonProps } from '../uploadButton/interface';
export declare const isExpire: (url: string, ossFile?: string | undefined, securityType?: string | undefined) => boolean;
export declare const getStringFile: (url: string) => {
    url: string;
    name: string;
    originalName: string;
    fileType: string;
};
export declare const getObjFile: (file: File) => {
    url: string;
    name: string;
    originalName: string;
    fileType: string;
    fileUrl?: string | undefined;
    fileName?: string | undefined;
    size?: number | undefined;
    disabled?: boolean | undefined;
    icon?: string | undefined;
    ossFile?: string | undefined;
};
export declare const imgTypeList: string[];
export declare const getFileType: (fileUrl: string) => string;
export declare const getOssImgConfig: (url?: string | undefined, ossImgConfig?: string | {
    [key: string]: number | undefined;
    resize_w?: number | undefined;
    resize_h?: number | undefined;
    quality?: number | undefined;
    circle?: number | undefined;
} | undefined) => string;
export declare const substrName: (name: string) => string;
export declare const getQuery: (name: string, url: string) => string | null;
export declare const getXmlNode: (xmlString: string, nodeName?: string) => any;
export declare const transformFileName: (file: RcFile, dir: string) => string;
export declare const checkMultiple: (file: RcFile, uploadFileList: RcFile[], props: UploadButtonProps) => Promise<RcFile>;
export declare const checkSize: (file: RcFile, props: UploadButtonProps) => Promise<RcFile>;
export declare const checkAccept: (file: RcFile, accept: string) => Promise<RcFile>;
export declare const checkWidthHeight: (file: RcFile, props: UploadButtonProps) => Promise<RcFile>;
//# sourceMappingURL=utils.d.ts.map