/// <reference types="react" />
import { FilePreviewModelProps } from './interface';
export declare const useModel: (props: FilePreviewModelProps) => {
    noData: boolean;
    filePreviewStatus: number;
    previewData: {
        previewURL: string;
        accessToken: string;
        accessTokenExpiredTime: string;
        refreshNum: number;
    };
    refresh: () => void;
    hide: () => void;
    show: (previewFileUrl: string, ossFile?: string | undefined) => void;
    setFilePreviewStatus: import("react").Dispatch<import("react").SetStateAction<number>>;
};
//# sourceMappingURL=useModel.d.ts.map