import { YUploadFile } from '../common/interface';
import { PreviewItemProps, PreviewListProps } from './interface';
export declare const useModel: (props: PreviewItemProps) => {
    previewUrl: string;
    loadingStatus: number;
    getNewUrl: (allIndex?: number | undefined) => Promise<{
        ossFile: any;
        url: any;
        fileType: string;
        size: number;
        name: string;
        uid: string;
        type: string;
        originalName?: string | undefined;
        disabled?: boolean | undefined;
        icon?: string | undefined;
    } | null | undefined>;
};
export declare const useListModel: (props: PreviewListProps, itemRef: any) => {
    isLoading: boolean;
    urlCheck: () => Promise<string[]>;
    onRemove: (file: YUploadFile) => void;
    onPreview: (file: YUploadFile, imgIndex: number) => Promise<void>;
};
//# sourceMappingURL=useModel.d.ts.map